@import url('https://fonts.cdnfonts.com/css/monument-extended');
@import url('https://fonts.googleapis.com/css2?family=Fira+Sans+Condensed:wght@100;200;300;400;800;900&display=swap');


body { 
    background-color: #0f0f0f;
}

* {
    box-sizing: border-box;
}

.color-white {
    color: #f3f3f3;
}

.color-yellow {
    color: #FFE10C
}

.bold-800 {
    font-weight: 800;
}

.bold-600 {
    font-weight: 600;
}

.bold-400 {
    font-weight: 400;
}

.bold-300 {
    font-weight: 300;
}

.bold-200 {
    font-weight: 200;
}

.font-fira {
    font-family: Fira Sans Condensed;
}

.size-25 {
    font-size: 25px;
}

.size-30 {
    font-size: 30px;
}

.size-45 {
    font-size: 45px;
}

ul {
    list-style-type: "∙ ";
    color: #FFE10C;
}

p {
    font-family: Fira Sans Condensed;
    font-size: 17px;
    color: #f3f3f3;
    font-weight: 200;
}

.painel {
    background-color: #0f0f0f;
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    overflow: none;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    text-rendering: optimizeLegibility;
}

.painel .left-panel {
    width: 440px;
    height: 100vh;
    display: inline-block;
    position: absolute;
    top: 0px;
    left: 0px;
    bottom: 0px;
}

.painel .right-panel {
    width: calc(100% - 440px);
    height: 100vh;
    position: absolute;
    top: 0px;
    left: 440px;
    right: 0px;
    bottom: 0px;
    overflow: auto;
    padding: 0 110px 0 50px;
}

.menu {
    margin: 0;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    list-style-type: none;
}

.menu-item {
    color: #0f0f0f;
    font-family: Monument Extended;
    font-weight: 800;
    font-size: 40px;
    -webkit-text-fill-color: #0f0f0f;
    /* Will override color (regardless of order) */
    -webkit-text-stroke-width: 0.5px;
    -webkit-text-stroke-color: #f3f3f3;
    letter-spacing: 3px;
    line-height: 1;
    cursor: pointer;
}

.menu-item:hover {
    color: #f3f3f3;
    -webkit-text-fill-color: #f3f3f3;
    /* Will override color (regardless of order) */
    -webkit-text-stroke-width: 0px;
}

.menu-item:hover::before {
    width: 35px;
    margin-right: 7px;
}

.menu-item::before {
    content: '';
    width: 0px;
    height: 3px;
    margin-bottom: 10px;
    display: inline-block;
    background: #FFE10C;
    transition: 475ms;
}

.main-container {
    position: relative;
    height: 100vh;
}

.inner-container {
    margin: 0;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
}

.linhabaixo {
    border-bottom: solid 1px #f3f3f3;
    padding-bottom: 5px;
}

.div-esquerda {
    float: left;
}

.div-direita {
    float: right;
}

.alinhadoEsquerda {
    font-family: Fira Sans Condensed;
    color: #f3f3f3;
    font-weight: 200;
    margin-right: 5px;
}

.accordion-flush {
    background-color: transparent;
}

.accordion-body {
    font-family: Fira Sans Condensed;
    color: #f3f3f3;
    font-weight: 200;
    font-size: 16px;
    padding: 20px 0 0 0;
}

.accordion-button {
    font-family: Fira Sans Condensed;
    color: #f3f3f3;
    font-weight: 200;
    font-size: 16px;
    padding-left: 0;
    width: 100% !important;
}

.accordion-toggle:hover {
    text-decoration: none;
}

.accordion-button:not(.collapsed) {
    color: #f3f3f3 !important;
    background-color: transparent !important;
}

.accordion-button:link,
.accordion-button:visited,
.accordion-button:hover,
.accordion-button:active {
    background-color: transparent !important;
    color: #f3f3f3 !important;
    text-decoration: none !important;
    border: hidden !important;
    border-color: transparent !important;
    box-shadow: 0px !important;
}

.accordion-button:focus {
    z-index: 3;
    border-color: transparent !important;
    border: hidden !important;
    outline: 0;
}

.accordion-button:not(.collapsed)::after {
    content: "-";
    color: #FFE10C;
    font-weight: 800;
    font-size: 25px;
    background-image: none;
    transition: none;
}

.accordion-button.collapsed::after {
    content: "+";
    color: #FFE10C;
    font-weight: 800;
    font-size: 25px;
    background-image: none;
    transition: none;
}

.hamburger-menu {
    display: none;
}

.fa-file {
    color: #f0f0f0;
    font-size: 50px;
    padding: 0 0 0 0;
}

.fa-linkedin-in {
    color: #f0f0f0;
    font-size: 50px;
    padding: 0 0 20px 0;
}

.experience-list {
    border-bottom: solid 1px #f3f3f3;
    margin-bottom: 20px;
}

.experience-list .top {
    width: calc(100vw - 600px);
    cursor: pointer;
}

.experience-list .bottom {
    color: #f3f3f3;
    display: none;
    padding-bottom: 20px;
}

.experience-list .top .top-left {
    width: 89%;
    float: left;
}

.experience-list .top .top-right {
    width: 9%;
    text-align: right;
    float: right;
    color: #FFE10C;
    font-size: 30px;
    margin: 2px 0 0 0;
}

.experience-list .border-bottom {
    border-bottom: solid 1px #f3f3f3;
    padding-bottom: 5px;
    display: block;
}


.scroll-icon {
    margin-bottom: 50px;
}

    /* From uiverse.io by @mrhyddenn */

    .chevrons {

        margin-left: -3px;
        margin-top: 40px;
        margin-bottom: 40px;
        width: 30px;
        display: flex;
        flex-direction: column;
        position:relative;
        left:50%;
        cursor: pointer;
      }
      
      .chevrondown {
        margin-top: -6px;
        position: relative;
        border: solid var(--color);
        border-width: 0 3px 3px 0;
        display: inline-block;
        width: 12px;
        height: 12px;
        transform: rotate(45deg);
      }
      
      .chevrondown:nth-child(odd) {
        animation: pulse54012 500ms ease infinite alternate;
      }
      
      .chevrondown:nth-child(even) {
        animation: pulse54012 500ms ease infinite alternate 250ms;
      }
      
      @keyframes pulse54012 {
        from {
          opacity: 0;
        }
      
        to {
          opacity: 0.5;
        }
      }
    
        .chevrondown {
            margin-top: -6px;
            position: relative;
            border: solid var(--color);
            border-width: 0 3px 3px 0;
            display: inline-block;
            width: 12px;
            height: 12px;
            transform: rotate(45deg);
        }
      
      .chevronup {
        margin-top: -6px;
        position: relative;
        border: solid var(--color);
        border-width: 0 3px 3px 0;
        display: inline-block;
        width: 12px;
        height: 12px;
        transform: rotate(225deg);
      }
      
      .chevronup:nth-child(odd) {
        animation: pulse54012 500ms ease infinite alternate;
      }
      
      .chevronup:nth-child(even) {
        animation: pulse54012 500ms ease infinite alternate 250ms;
      }

.campos-contacto {
    font-family: Fira Sans Condensed;
    text-align: bottom;
}
      #contact .contact-left-panel,
      #contact .contact-right-panel {
        float: left;
        height: 200px;
      }

      #contact .contact-left-panel {
        width: 60px;
        text-align: center;
        padding-top: 60px;
      }

      #contact .contact-right-panel {
        width: calc(100% - 60px);
        padding-left: 50px;
      }

    #contact .success {
        display: none;
        position: absolute;
        left: 0;
        top: 0;
        background-color: #0f0f0fef;
        width: 100%;
        height: 100%;
        text-align: center;
        vertical-align: middle;
}

      /* From uiverse.io by @satyamchaudharydev */
      #contact .form {
    --width-of-input: 200px;
    --border-height: 1px;
    --border-before-color: rgba(221, 221, 221, 0.39);
    --input-hovered-color: #0f0f0f;
    position: relative;
    width: 80%;
   }

   /* styling of Input */
   #contact .input {
    color: #fff;
    font-size: 0.9rem;
    background-color: transparent;
    width: 100%;
    box-sizing: border-box;
    padding-inline: 0.5em;
    padding-block: 0.7em;
    border: none;
    border-bottom: var(--border-height) solid var(--border-before-color);
   }

#contact .input-grande {
height: 100px;
}


   /* styling of animated border */
   #contact .input-border {
    position: absolute;
    background: var(--border-after-color);
    width: 0%;
    height: 2px;
    bottom: 0;
    left: 0;
    transition: 0.3s;
   }

   /* Hover on Input */
   #contact input:hover {
    background: var(--input-hovered-color);
   }
   
   #contact input:focus {
    outline: none;
   }

   /* here is code of animated border */
   #contact input:focus ~ .input-border {
    width: 100%;
   }
   /* === if you want to do animated border on typing === */
   /* remove input:focus code and uncomment below code */
   /* input:valid ~ .input-border{
     width: 100%;
   } */

   /* From uiverse.io by @satyamchaudharydev */
   #contact button {
    padding: 0;
    margin: 0;
    border: none;
    background: none;
    padding-top: 30px
  }
  
  #contact button {
    --primary-color: #f0f0f0;
    --hovered-color: #ffe10c;
    position: relative;
    display: flex;
    font-weight: 600;
    font-size: 20px;
    gap: 0.5rem;
    align-items: center;
  }
  
  #contact button p {
    margin: 0;
    position: relative;
    font-size: 20px;
    color: var(--primary-color)
  }
  
  #contact button::after {
    position: absolute;
    content: "";
    width: 0;
    left: 0;
    bottom: -7px;
    background: var(--hovered-color);
    height: 2px;
    transition: 0.4s ease-out;
  }
  
  #contact button p::before {
    position: absolute;
  /*   box-sizing: border-box; */
    content: "";
    width: 0%;
    inset: 0;
    color: var(--hovered-color);
    overflow: hidden;
    transition: 0.6s ease-out;
  }
  
  #contact button:hover::after {
    width: 100%;
  }
  
  #contact button:hover p::before {
    width: 100%;
  }
  
  #contact button:hover svg {
    transform: translateX(4px);
    color: var(--hovered-color)
  }
  
  #contact button svg {
    color: var(--primary-color);
    transition: 0.2s;
    position: relative;
    width: 15px;
    transition-delay: 0.2s;
  }

@media screen and (max-height: 800px) {
    .painel .right-panel {
        height: 100vh;
        position: absolute;
        top: 0px;
        bottom: 0px;
        overflow: auto;
        z-index: 10;
    }

    .inner-container {
        top: 0%;
        transform: translateY(0);
    }

    .main-container {
        position: relative;
        height: 100%;
    }
}

@media screen and (max-width: 1100px) {

    .painel .left-panel {
        width: 100vw;
        height: 100vh;
        display: inline-block;
        position: fixed;
        top: 0px;
        bottom: 0px;
        left: 0px;
        z-index: 100;
        background-color: #0f0f0f;
        display: none;
    }

    #hamburger-menu {
        display: block;
        position: fixed;
        top: 0;
        left: 0;
        right: 0;
        height: 50px;
        padding-right: 20px;
        font-size: 30px;
        color: #f3f3f3;
        text-align: right;
        background-color: #0f0f0f;
        z-index: 200;
        cursor: pointer;
    }

    .experience-list .top {
        width: 85vw;
    }

    .painel .left-panel .menu-item {
        font-size: 8vw;
    }

    .menu-item::before {
        margin-bottom: 2.5vw;
    }

    .painel .right-panel {
        width: 100%;
        height: 100vh;
        position: absolute;
        top: 0px;
        left: 0px;
        right: 0px;
        bottom: 0px;
        overflow: auto;
        padding: 70px 26px;
        z-index: 10;
    }

    .inner-container {
        top: 0%;
        transform: translateY(0);
    }

    .main-container {
        position: relative;
        height: 100%;
    }

    #contact .contact-left-panel,
    #contact .contact-right-panel {
        clear: both;
        float: none;
        display: block;
        height: auto;
        width: 100%;
    }   

    #contact .contact-left-panel {
        text-align: left;
        padding: 0;
    }

    #contact .contact-left-panel a {
        padding: 0;
        margin: 0;
    }

    #contact .contact-left-panel {}

   
    
    #contact .contact-right-panel {
        text-align: left;
        padding: 0;
    }

    #contact .contact-right-panel a {
        padding: 0;
        margin: 0;
    }

    #contact .contact-right-panel {}


    .fa-linkedin-in {
        color: #f0f0f0;
        font-size: 40px;
        padding: 20px 20px 20px 5px;
    }

    .fa-file {
        color: #f0f0f0;
        font-size: 40px;
        padding: 20px 0 0 0;
    }


    #about-me {
        margin-bottom: 100px;
    }
}